#include <stdio.h>
#include <stdlib.h>

int visina(int l, int n, int a[])
{
    int i;
    for(i=0;i<n;i++)
    {
        if(l>=a[i])
            return i+1;
    }
    return -1;
}

int main()
{
    int n,i,l;
    scanf("%d %d", &n, &l);
    int a[n];
    for(i=0;i<n;i++)
    {
        scanf("%d", &a[i]);
    }
    printf("%d", visina(l,n,a));
    return 0;
}